function  trace_frenet_courbure_pol(thetamin,thetamax,theta0,ngra,rch,testnonnul,R,I,T,N,nomsort);

% trac de la courbe au voisinage d'un point en coordonnes gnrales
%
%  trace_frenet_courbure(tmin,tmax,t0,ngra,rch,testnonnul,R,I,T,N,nomsort)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  
%
%	variables d'entres : 
%     * thetamin, tmax : dbut et fin de l'intervalle d'tude
%     * t0 : point considr
%     * ngra : nombre de point pour le trac (valeurs rpartie linairement)
%     * rch  : une chane de caractre de la forme 'r(theta)' o theta est la seule variable 
%     * testnonnul,R,I,T,N : calcul par la fonction :  [testnonnul,R,I,T,N]=prepar_courbure_pol(simpli,rch);
%     * nomsort : contient l'ventuel nom du fichier eps de sortie (sans extension eps) 
%
%  affiche localement (si possible)
%     - la courbe ;
%     - la parabole et le cercle osculateurs,
%     - le repre de Frenet T,N
%     - le centre de courbure
%    
%
% ************ Fonctions auxiliaires utilises ************
%
%    aucune
%
% *********************************************************
%
% (c) 2006 by      Jrme BASTIEN,
%                  UTBM, Dpartement GMC, Belfort
%                  E-Mail : jerome.bastien@utbm.fr



rfcn=vectorize(char(rch));
theta=theta0;
x0=eval(rfcn)*cos(theta);
y0=eval(rfcn)*sin(theta);
theta=linspace(thetamin,thetamax,ngra);
xcourbe=eval(rfcn).*cos(theta);
ycourbe=eval(rfcn).*sin(theta);
Rc=R(theta0);
testnonnulc=testnonnul(theta0);
if (Rc==0)
   error('Rayon de courbure nul'); 
end
if (testnonnulc==0)
   error('Centre de courbure non dterminable'); 
end
Nc=N(theta0);
Tc=T(theta0);
Ic=I(theta0);
aRc=abs(Rc);
xparabole=x0+(theta-theta0)*Tc(1)+(((theta-theta0).^2)/(2*Rc))*Nc(1);
yparabole=y0+(theta-theta0)*Tc(2)+(((theta-theta0).^2)/(2*Rc))*Nc(2);
[th0,Rfjdf]=cart2pol(x0-Ic(1),y0-Ic(2));
xcercle=aRc*cos((theta-theta0)/aRc+th0)+Ic(1);
ycercle=aRc*sin((theta-theta0)/aRc+th0)+Ic(2);
clf;
hold on;
axis equal;
plot(xcourbe,ycourbe,'r',xparabole,yparabole,'b',xcercle,ycercle,'g',...
    [x0,x0+Tc(1)],[y0,y0+Tc(2)],'r-.',[x0,x0+Nc(1)],[y0,y0+Nc(2)],'b-.',Ic(1),Ic(2),'or');
legend('courbe','parabole','cercle','T','N','centre courbure',0);
hold off;
if nargin==11
   eval(['print -depsc ',nomsort]);
end
